Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1423260 - clamav: FTBFS in rawhide
Summary: clamav: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1392615 (view as bug list)
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 03:22 UTC by Fedora Release Engineering
Modified: 2017-07-28 17:19 UTC (History)
7 users (show)

Fixed In Version: clamav-0.99.2-9.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-28 17:19:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (22.16 KB, text/plain)
2017-02-17 03:22 UTC, Fedora Release Engineering
no flags Details
root.log (98.71 KB, text/plain)
2017-02-17 03:22 UTC, Fedora Release Engineering
no flags Details
state.log (619 bytes, text/plain)
2017-02-17 03:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 03:22:35 UTC
Your package clamav failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17710899

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 03:22:42 UTC
Created attachment 1251533 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 03:22:47 UTC
Created attachment 1251534 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 03:22:51 UTC
Created attachment 1251535 [details]
state.log

Comment 4 Jonathan Wakely 2017-02-17 13:14:40 UTC
Incompatible with OpenSSL 1.1.0

checking for OpenSSL installation... /usr
checking for SSL_library_init in -lssl... no
configure: error: Your OpenSSL installation is misconfigured or missing

Comment 5 Jason Tibbitts 2017-02-17 19:53:50 UTC
*** Bug 1392615 has been marked as a duplicate of this bug. ***

Comment 6 Jason Tibbitts 2017-02-17 19:56:06 UTC
See also:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=828083

which references:

https://bugzilla.clamav.net/show_bug.cgi?id=11594

but you have to log in just to see that.  There's also:

https://github.com/patch-exchange/openssl-1.1-transition/tree/master/clamav

Comment 7 Fedora End Of Life 2017-02-28 11:24:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 Fedora Admin XMLRPC Client 2017-03-27 17:21:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Gerald Cox 2017-03-27 19:24:08 UTC
Orion, saw where you are working on this, so transferring to you.

Comment 10 Orion Poplawski 2017-03-27 19:31:17 UTC
Actually, I'm not working on the openssl issue.  Apparently there is a patch in the repository but if I recall correctly it was on a development branch.  I've been waiting for them to put out a test release.

Comment 11 Gerald Cox 2017-03-27 22:34:17 UTC
Got it.  I was looking at the build you were doing for F27.  This was F26.

Comment 12 Jason Tibbitts 2017-06-05 18:00:36 UTC
Tracked down some test crashes in one of my packages to libclamav pulling the old openssl libs info a process that's also using the new openssl libs.  So sadly I had to disable clamav support, but I can re-enable it as soon as there's a version that supports the current openssl.

Comment 13 Fedora Admin XMLRPC Client 2017-07-13 02:21:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora Admin XMLRPC Client 2017-07-17 12:48:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Upstream Release Monitoring 2017-07-17 17:15:16 UTC
sergiomb's clamav-0.99.2-9.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=919508

Comment 16 Fedora Update System 2017-07-17 17:51:18 UTC
clamav-0.99.2-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42ba1b208

Comment 17 Fedora Update System 2017-07-20 00:25:02 UTC
clamav-0.99.2-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42ba1b208

Comment 18 Upstream Release Monitoring 2017-07-26 10:13:16 UTC
releng's clamav-0.99.2-10.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=923239

Comment 19 Fedora Update System 2017-07-28 17:19:29 UTC
clamav-0.99.2-9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.